Kea: isc::dhcp::Dhcp6Parser::by_kind Struct Reference

| Kea 3.2.0-git

isc::dhcp::Dhcp6Parser::by_kind Struct Reference

Type access provider for token (enum) based symbols. More...

`#include <dhcp6_parser.h>`

Inheritance diagram for isc::dhcp::Dhcp6Parser::by_kind:
[legend]

## Public Types
typedef token_kind_type | kind_type
| The symbol kind as needed by the constructor.

## Public Member Functions
| by_kind () YY_NOEXCEPT
| Default constructor.
| by_kind (const by_kind &that) YY_NOEXCEPT
| Copy constructor.
| by_kind (kind_type t) YY_NOEXCEPT
| Constructor from (external) token numbers.
void | clear () YY_NOEXCEPT
| Record that this symbol is empty.
symbol_kind_type | kind () const YY_NOEXCEPT
| The (internal) type number (corresponding to type).
void | move (by_kind &that)
| Steal the symbol kind from that.
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6).

## Public Attributes
symbol_kind_type | kind_
| The symbol kind.

## Detailed Description

Type access provider for token (enum) based symbols.

Definition at line 1760 of file dhcp6_parser.h.

## Member Typedef Documentation

## ◆ kind_type

typedef token_kind_type isc::dhcp::Dhcp6Parser::by_kind::kind_type

The symbol kind as needed by the constructor.

Definition at line 1763 of file dhcp6_parser.h.

## Constructor & Destructor Documentation

## ◆ by_kind() [1/3]

isc::dhcp::Dhcp6Parser::by_kind::by_kind | ( |  | ) |
| inline

Default constructor.

Definition at line 6132 of file dhcp6_parser.h.

References kind_, and YY_NOEXCEPT.

Referenced by by_kind(), and move().

## ◆ by_kind() [2/3]

isc::dhcp::Dhcp6Parser::by_kind::by_kind | ( | const by_kind & | that | ) |
| inline

Copy constructor.

Definition at line 6146 of file dhcp6_parser.h.

References by_kind(), kind_, and YY_NOEXCEPT.

Here is the call graph for this function:

## ◆ by_kind() [3/3]

isc::dhcp::Dhcp6Parser::by_kind::by_kind | ( | kind_type | t | ) |
| inline

Constructor from (external) token numbers.

Definition at line 6151 of file dhcp6_parser.h.

References kind_, and YY_NOEXCEPT.

## Member Function Documentation

## ◆ clear()

void isc::dhcp::Dhcp6Parser::by_kind::clear | ( |  | ) |
| inline

Record that this symbol is empty.

Definition at line 6159 of file dhcp6_parser.h.

References kind_, isc::dhcp::Dhcp6Parser::symbol_kind::S_YYEMPTY, and YY_NOEXCEPT.

Referenced by move().

## ◆ kind()

Dhcp6Parser::symbol_kind_type isc::dhcp::Dhcp6Parser::by_kind::kind | ( |  | ) | const
| inline

The (internal) type number (corresponding to type).

empty when empty.

Definition at line 6174 of file dhcp6_parser.h.

References kind_, and YY_NOEXCEPT.

Referenced by isc::dhcp::Dhcp6Parser::basic_symbol< by_kind >::clear(), isc::dhcp::Dhcp6Parser::basic_symbol< by_kind >::name(), isc::dhcp::Dhcp6Parser::parse(), and type_get().

## ◆ move()

void isc::dhcp::Dhcp6Parser::by_kind::move | ( | by_kind & | that | ) |
| inline

Steal the symbol kind from that.

Definition at line 6166 of file dhcp6_parser.h.

References by_kind(), clear(), and kind_.

Here is the call graph for this function:

## ◆ type_get()

Dhcp6Parser::symbol_kind_type isc::dhcp::Dhcp6Parser::by_kind::type_get | ( |  | ) | const
| inline

Backward compatibility (Bison 3.6).

Definition at line 6182 of file dhcp6_parser.h.

References kind(), and YY_NOEXCEPT.

Here is the call graph for this function:

## Member Data Documentation

## ◆ kind_

symbol_kind_type isc::dhcp::Dhcp6Parser::by_kind::kind_

The symbol kind.

S_YYEMPTY when empty.

Definition at line 1796 of file dhcp6_parser.h.

Referenced by by_kind(), by_kind(), by_kind(), clear(), kind(), move(), and isc::dhcp::Dhcp6Parser::parse().

The documentation for this struct was generated from the following file:

- dhcp6_parser.h